<template>
	<view>
		<view class="charts-box">
			<qiun-data-charts type="map" :chartData="chartData" :echartsH5="true" :echartsApp="true" background="none"
				:animation="false" />
		</view>
	</view>
</template>

<script>
	export default { 
		data() {
			return {
				chartData: {
					categories: [],
					series: []
				},
			}
		},
		onLoad() {			
			this.getCustomerDistributed()
		},
		methods: {			
			getCustomerDistributed() {
				this.$u.api.getCustomerDistributed().then((res) => {
					console.log(res.data)					
				});
			}
		}
	}
</script>

<style lang="scss" scoped>
	.charts-box {
		margin: 0 auto;
		width: 710rpx;
		height: 530rpx;
		padding: 24rpx 24rpx 0 0;
		background-color: #ffffff;
	}
</style>
